package main;
use Evo;
use Test::More;

my @called;
my $N = 20;
EVAL: {
  local $@;
  eval    ## no critic
    "package Evo::My$_; use Evo -Loaded; sub import { push \@called, $_ }" for 1 .. $N;
  die if $@;
}

Evo::->import("-My$_") for 1 .. $N;
is_deeply \@called, [1 .. $N];

done_testing;
